import { hmacSha256 } from 'zutils/utils/security.util'
import { handleFetch } from 'zutils/utils/net.util'

const SECRET_KEY = process.env.HASH_SALT

function createSign(address: string) {
  // address = address.toLowerCase();
  let signCheck = hmacSha256(`address=${address}`, SECRET_KEY)
  return signCheck
}

export function checkTwitter(address: string) {
  let sign = createSign(address)
  const url = `${process.env.OAUTH_SVR_URL}/activity/twitter/${address}?sign=${sign}`
  return handleFetch(url)
}

export function checkDiscord(address: string) {
  let sign = createSign(address)
  const url = `${process.env.OAUTH_SVR_URL}/activity/discord/${address}?sign=${sign}`
  return handleFetch(url)
}
